### Home Classes Methods

### In Files

- lib/jdbc/mysql/version.rb
- lib/jdbc/mysql.rb

### Methods

- ::driver_jar
- ::driver_name
- ::load_driver

### Class/Module Index

Quicksearch

- Jdbc
- Jdbc::MySQL

No matching classes.

# Jdbc::MySQL

### Constants

DRIVER_VERSION
VERSION

### Public Class Methods

driver_jar() click to toggle source

    # File lib/jdbc/mysql.rb, line 7
    def self.driver_jar
      "mysql-connector-java-#{DRIVER_VERSION}.jar"
    end

driver_name() click to toggle source

    # File lib/jdbc/mysql.rb, line 15
    def self.driver_name
      'com.mysql.jdbc.Driver'
    end

load_driver(method = :load) click to toggle source

    # File lib/jdbc/mysql.rb, line 11
    def self.load_driver(method = :load)
      send method, driver_jar
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.